# -*- coding: utf-8 -*-

require 'helper'

class TestPHPSerializeEncoded < Test::Unit::TestCase
  def tests
    assert_respond_to PHP, :serialize_encoded
    assert_respond_to PHP, :unserialize_encoded

    s = "a:2:{s:4:\"TEXT\";s:294:\"В четверг, 25 августа, торги в России начались хорошим ростом, но после обеда рынок начал терять отвоеванные позиции. В итоге почти 1,5% роста индекса ММВБ на 17:00 сменились 0,2% падения. При этом некоторую довольно слабую поддержку нашему рынку оказывают немного подрастающие котировки нефти.\";s:4:\"TYPE\";s:4:\"html\";}"
    val = PHP.unserialize_encoded(s)

    assert_equal val['TEXT'], "В четверг, 25 августа, торги в России начались хорошим ростом, но после обеда рынок начал терять отвоеванные позиции. В итоге почти 1,5% роста индекса ММВБ на 17:00 сменились 0,2% падения. При этом некоторую довольно слабую поддержку нашему рынку оказывают немного подрастающие котировки нефти."

    val = PHP.serialize_encoded(['тест'])
    assert_equal val, 'a:1:{i:0;s:4:"тест";}'
  end
end
